/*
 * aNNiMON 2010
 * For more info visit http://annimon.com/
 */
package modules.mascot;

import com.one.Application;
import com.one.ModuleRegistry;
import com.one.PlayList;
import com.vmx.AuxClass;
import java.io.IOException;

/**
 *
 * @author aNNiMON
 */
public class AnimationViewer implements Application
{
	public void openFile(String filename, PlayList filelist) throws IOException
	{
		//#if MascotV3 == "true"

		Lib_mcv3 mc = Lib_mcv3.getInstance();

		if(filelist != null)
		{
			mc.setPlayList(filelist);
		}

		mc.init(Lib_mcv3.getFileData(filename.substring(0, filename.lastIndexOf('.')) + AuxClass.formatFileExtension(ModuleRegistry.getExtension(MascotViewer.class.getName()))), Lib_mcv3.getFileData(filename), filename);

		//#endif
	}
}
